Resend PIX key confirmation code (EMAIL/PHONE)
POST /order/v1/banking/accounts/{accountId}/keys/resend
POST
/order/v1/banking/accounts/{accountId}/keys/resend
Resends the confirmation code for a pending validation, e.g. when the partner didn’t receive the e-mail/SMS. Reuses the same validationId; the previous code is invalidated and confirmation attempts are reset. Limited number of resends per validation and subject to the account’s daily dispatch limit.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” accountId
required
string format: uuid
Identifier of the account
Header Parameters
Section titled “Header Parameters ” idempotency-key
required
string format: uuid
A unique identifier for the message with a maximum of 64 characters (we recommend a UUID).
Request Body required
Section titled “Request Body required ”object
validationId
required
Identifier returned by the key creation call (POST …/keys)
string
Example
a8f2b9c4-1e6a-4c3f-9d7b-2a1e8f9c5d10Responses
Section titled “ Responses ”A new confirmation code was dispatched.
object
validationId
required
Identifier of the validation. Must be sent back on the confirm endpoint.
string
Example
a8f2b9c4-1e6a-4c3f-9d7b-2a1e8f9c5d10 status
required
Status of the validation
string
Example
PENDING expiresAt
required
Expiration date of the confirmation code
string
Example
2025-12-18T10:15:30Zobject
error
string
Example
INVALID_REQUEST message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[ { "field": "field_name", "issue": "INVALID", "description": "Field is invalid" }]Unauthorized Request
object
error
string
Example
UNAUTHORIZED message
string
Example
Unauthorized Request details
Array<object>
object
field
string
issue
string
description
string
Example
[]object
error
string
Example
INTERNAL_ERROR message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]